http://guardduty.{region}.amazonaws.com/detector/{detectorId}/threatintelsetCreates a new ThreatIntelSet. ThreatIntelSets consist of known malicious IP addresses. GuardDuty generates findings based on ThreatIntelSets. Only users of the administrator account can use this operation.
The unique ID of the detector of the GuardDuty account that you want to create a threatIntelSet for.
A user-friendly ThreatIntelSet name displayed in all findings that are generated by activity that involves IP addresses included in this ThreatIntelSet.
The tags to be added to a new threat list resource.
The format of the file that contains the ThreatIntelSet.
A Boolean value that indicates whether GuardDuty is to start using the uploaded ThreatIntelSet.
The URI of the file that contains the ThreatIntelSet.
The idempotency token for the create request.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://guardduty.{region}.amazonaws.com/detector/{detectorId}/threatintelset' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://guardduty.{region}.amazonaws.com/detector/{detectorId}/threatintelsetCreates a new ThreatIntelSet. ThreatIntelSets consist of known malicious IP addresses. GuardDuty generates findings based on ThreatIntelSets. Only users of the administrator account can use this operation.
The unique ID of the detector of the GuardDuty account that you want to create a threatIntelSet for.
A user-friendly ThreatIntelSet name displayed in all findings that are generated by activity that involves IP addresses included in this ThreatIntelSet.
The tags to be added to a new threat list resource.
The format of the file that contains the ThreatIntelSet.
A Boolean value that indicates whether GuardDuty is to start using the uploaded ThreatIntelSet.
The URI of the file that contains the ThreatIntelSet.
The idempotency token for the create request.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://guardduty.{region}.amazonaws.com/detector/{detectorId}/threatintelset' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}